#ifndef MAZE_H
#define MAZE_H

#include "Graphics.h"

#define MAZE_WIDTH      30
#define MAZE_HEIGHT     20
#define TILE_SIZE       20
#define WALL_WIDTH      2

struct STile
{
    bool    topIsActive;
    bool    leftIsActive;

    Color   topColor;
    Color   leftColor;
};

class CMaze
{
    public:
        CMaze();

        void    draw();
        STile*  getTile(int x, int y) {return &tiles[x][y];}

    private:
        void    drawWall(int x, int y, bool isHorizontal, Color c);

        STile   tiles[MAZE_WIDTH + 1][MAZE_HEIGHT + 1];
};

#endif // MAZE_H
